Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233802 - Review Request: python-xlib - Fully functional X client library for Python programs
Summary: Review Request: python-xlib - Fully functional X client library for Python pr...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 05:57 UTC by Jef Spaleta
Modified: 2013-12-10 18:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-15 05:24:16 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jef Spaleta 2007-03-25 05:57:52 UTC
Spec URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/python-xlib.spec
SRPM URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/python-xlib-0.13-1.fc7.src.rpm
Description:
The Python X Library is a complete X11R6 client-side implementation, 
written in pure Python. It can be used to write low-levelish X Windows 
client applications in Python.

Additional Notes:
This package is a new requirement for the newly released istanbul 0.2.2 

Mock fedora-development-x86 logs available in: http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/
rpmlint returns clean

Comment 1 Rex Dieter 2007-03-25 12:45:36 UTC
I can review this coming week (if no one else gets to it before then).

On first glance, packaging looks good/clean, my only suggestion would be to
shorten summary a wee bit to something like:
Summary: X client library for Python

Comment 2 Jef Spaleta 2007-03-25 22:07:59 UTC
I'll shorten the summary, in the next srpm/spec set. Though I'm going to hold
off on bumping a release of the spec until I know if there's something else I
need to change. I hate bumping submission revs for individual non-critical build
or run time booboos.

-jef

Comment 3 Jef Spaleta 2007-04-06 22:11:04 UTC
Updated for the summary text change suggestion
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/python-xlib-0.13-2.fc7.src.rpm
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/python-xlib.spec

So uhm, Rex, anytime you want to start that official review that would be great.

-jef

Comment 4 Rex Dieter 2007-04-09 20:21:48 UTC
plate... full... but... eating as ... fast as I can... 

alright, I'm ready for a review now.

Comment 5 Rex Dieter 2007-04-09 20:33:53 UTC
sorry for the delay, this one's simple enough, and looks good.

Wow, I don't recall ever actually witnesseing a 100% clean (w/o warnings)
rpmlint on a package under review before either.  neat.

My only possible suggestion would be to split the ~660K-ish docs into a separate
package (-doc), to ease the runtime weight of python-xlibs.

APPROVED.

Comment 6 Jef Spaleta 2007-04-11 04:42:38 UTC
Okay I spun a new version with a separate doc subpackage
if you have a second please take a quick look at the binaries in 
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-xlib/devel/

-jef

Comment 7 Jef Spaleta 2007-04-11 04:46:28 UTC
New Package CVS Request
=======================
Package Name: python-xlib 
Short Description: X client library for Python
Owners: jspaleta@gmail.com
Branches: FC-6
InitialCC: 

Comment 8 Rex Dieter 2007-04-11 11:50:58 UTC
Looks good, except you prolly don't want/need
%doc README COPYING
in *both* packages (just the main one).

Comment 9 Orion Poplawski 2013-10-14 20:10:18 UTC
I would like to see this in EPEL6.  Would you be willing to support it there, or should I?

Comment 10 Orion Poplawski 2013-12-10 17:41:46 UTC
Package Change Request
======================
Package Name: python-xlib
New Branches: el6
Owners: orion
InitialCC:

Comment 11 Gwyn Ciesla 2013-12-10 18:36:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.